Skip to main content
`Ctrl`+`K`

# SNESSetAlwaysComputesFinalResidual

tells the `SNES` to always compute the residual (nonlinear function value) at the final solution

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESSetAlwaysComputesFinalResidual(SNES snes, PetscBool flg)

Logically Collective

## Input Parameters

- snes - the shell `SNES`

- flg - `PETSC_TRUE` to always compute the residual

## Note

Some solvers (such as smoothers in a `SNESFAS`) do not need the residual computed at the final solution so skip computing it to save time.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESSolve()`, `SNESGetAlwaysComputesFinalResidual()`

## Level

advanced

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages